> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# projectassociate

> MDO provider for associates that are members of a project

## "projectassociate" MDO List

MDO provider for associates that are members of a project

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ProjectAssociateMDOProvider">ProjectAssociateMDOProvider</see> class.
The name of the MDO list is 'projectassociate'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/projectassociate
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("projectassociate", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name            | StyleHint | ExtraInfo                     |
| -- | --------------- | --------- | ----------------------------- |
| 15 | Adm4            |           | person\_id=151\&contact\_id=0 |
| 2  | Arne Arnesen    |           | person\_id=10\&contact\_id=0  |
| 3  | Brede Bredesen  |           | person\_id=11\&contact\_id=0  |
| 4  | Cato Carlsson   |           | person\_id=12\&contact\_id=0  |
| 5  | Donald Duck     |           | person\_id=13\&contact\_id=0  |
| 7  | Frode Freestad  |           | person\_id=15\&contact\_id=0  |
| 8  | Geir Grønbeck   |           | person\_id=16\&contact\_id=0  |
| 9  | Hans Hansen     |           | person\_id=17\&contact\_id=0  |
| 10 | Ingrid Istad    |           | person\_id=18\&contact\_id=0  |
| 81 | Listadm Listadm |           | person\_id=190\&contact\_id=0 |
| 96 | Niels Jensen    |           | person\_id=55\&contact\_id=0  |

## Related MDO Lists

* "projectassociateheadings"
* "projectassociateheadingswithallitem"
* "projectassociateheadingswithallitemwithnoselection"
* "projectassociateheadingswithnoselection"
* "projectassociatewithallitem"
* "projectassociatewithallitemwithnoselection"
* "projectassociatewithnoselection"


## Related topics

- [AssociateProjectDynamicSelectionV2](/en/api/archive-providers/reference/associateprojectdynamicselectionv2.md)
- [AssociateProjectDynamicSelection](/en/api/archive-providers/reference/associateprojectdynamicselection.md)
- [AssociateProjectStaticSelection](/en/api/archive-providers/reference/associateprojectstaticselection.md)
- [AssociateProjectStaticSelectionV2](/en/api/archive-providers/reference/associateprojectstaticselectionv2.md)
- [ContactProjects](/en/api/archive-providers/reference/contactprojects.md)
- [FindProject](/en/api/archive-providers/reference/findproject.md)
